Package Gnumed :: Package wxpython :: Module gmMedicationWidgets :: Class cCurrentSubstancesGrid |
[frames] | no frames]

# Class cCurrentSubstancesGrid

source code

    wx.grid.Grid --+
                   |
                  cCurrentSubstancesGrid

    A grid class for displaying current substance intake.

    - does NOT listen to the currently active patient
    - thereby it can display any patient at any time

Instance Methods
__init__(self, *args, **kwargs) | source code
get_selected_cells(self) | source code
get_selected_rows(self) | source code
get_selected_data(self) | source code
get_row_data(self) | source code
repopulate_grid(self) | source code
empty_grid(self) | source code
show_info_on_entry(self) | source code
show_renal_insufficiency_info(self) | source code
show_cardiac_info(self) | source code
report_ADR(self) | source code
prescribe(self) | source code
check_interactions(self) | source code
add_substance(self) | source code
edit_substance(self) | source code
delete_intake(self) | source code
create_allergy_from_substance(self) | source code
print_medication_list(self) | source code
get_row_tooltip(self, row=None) | source code

Class Variables
| patient = `property(_get_patient, _set_patient)`
| grouping_mode = `property(_get_grouping_mode, _set_grouping_mode)`
| filter_show_unapproved = `property(_get_filter_show_unapproved,`...``
| filter_show_inactive = `property(_get_filter_show_inactive, _se`...``

Class Variable Details

  ### filter_show_unapproved Value:
      property(_get_filter_show_unapproved, _set_filter_show_unapproved)

  ### filter_show_inactive Value:
      property(_get_filter_show_inactive, _set_filter_show_inactive)